## dx 4.4.4

=== debian/changelog ===
dx (1:4.4.4-7) unstable; urgency=low

  * Fix undefined sprintf() usage.
  * Fix typo in d/patches/50-format-security-fix.patch.
  * Various fixes for kfreebsd: dxexec now runs.
  * Build with prefix=/usr/share instead of prefix=/usr/lib.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 13 Oct 2013 15:03:43 +0200

dx (1:4.4.4-6) unstable; urgency=low

  [ Graham Inggs ]
  * Update d/libdx4.symbols for kfreebsd.
  * Allow /usr/bin/dx script to run on kfreebsd.
  * Link executables and shared libraries with --as-needed.
  * Fix some Lintian warnings:
    - Update d/dx.desktop: remove encoding, add keywords
    - Override another spelling error in binary
    - Downgrade libdx4-dev's Conflicts on dx-dev to Breaks

  [ Paul Gevers ]
  * Fix typo in suggested package list: llibglu-dev
  * Install lintian overrides

 -- Paul Gevers <elbrus@debian.org>  Sat, 14 Sep 2013 16:50:25 +0200

dx (1:4.4.4-5) unstable; urgency=low

  [Graham Inggs]
  * New maintainer (Closes: #654646)
  * Update d/control:
    - build with libmotif-dev instead of lesstif2-dev (Closes: #714834)
    - build with unversioned libtiff-dev (Ubuntu)
    - build with unversioned libpng-dev (Closes: #662308)
    - bump Standards-Version to 3.9.4 (no further changes)
  * Fix missing () in DXGetError (Closes: #688395)
  * Do not build with libxp even if it is installed (Closes: #623644)
  * Install /usr/lib/*.so symlinks in libdx4-dev package
  * Create d/libdx4.symbols
  * Fix FTBFS twice in a row.
  * Create d/watch.
  * Build with hardening flags enabled and fix format security.
  * Fix underlinking of libDXL by explicitly linking libDX.
  * Fix various spelling and hyphen-used-as-minus-sign errors.

  [Jari Aaalto]
  * Remove deprecated dpatch and upgrade to source format 3.0 (quilt)
    (Closes: #670318)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Patches 64bit,gcc43, kfreebsd, usr-local were updated with "quilt
    refresh" to make them apply cleanly.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 02 Aug 2013 17:06:27 +0200

dx (1:4.4.4-4) unstable; urgency=low

  * debian/control: Change build dependency from libjpeg62-dev to
    libjpeg-dev. Closes: #633729

 -- Daniel Kobras <kobras@debian.org>  Fri, 15 Jul 2011 19:45:28 +0200

dx (1:4.4.4-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621204).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 19:10:50 +0200

dx (1:4.4.4-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove alternative libglu1-xorg-dev from build-dependencies
    (Closes: #628439)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 31 May 2011 20:41:20 +0200

dx (1:4.4.4-3) unstable; urgency=medium

  * Added patches:
    + [10_autoreconf_fix]
      In configure.ac, check for C++ compiler before setting language to
      C++. This fix avoids a circular dependency error when running
      aclocal or autoreconf.
    + [10_open_mode]
      Supply mode flags as required when calling open() with O_CREAT.
      Patch thanks to James Westby via Ubuntu.
    + [10_magickcore_api]
      Fix build errors due to an API change in ImageMagick versions
      6.5.7 and up. Patch thanks to Ilya Barygin <barygin@gmail.com>.
    + [20_magick_pkgconfig]
      Try to make use of pkg-config when probing for ImageMagick. Also
      adds support for building with GraphicsMagick instead. This and the
      preceding patch resolves build problems with current ImageMagick
      and thus Closes: #572270
    + [30_no_shell_override]
      Overriding SHELL in configure.ac breaks autoconf/libtool assumptions
      and leads to build failures when /bin/sh points to /bin/dash. Remove
      the override as it doesn't seem to serve any useful purpose on Debian
      platforms.
    + [40_hdfalt_support]
      Add support for linking with Debian-specific libhdf4-alt that avoids
      namespace issues when using both hdf4 and netcdf.
  * Updated patches:
    + [10_kfreebsd_build_fixes]
      Correct preprocessor syntax to fix build on kfreebsd. Patch thanks to
      Cyril Brulebois <kibi@debian.org>. Closes: #565347
  * debian/control: Update hdf4 build and -dev dependencies to new package
    names, using libhdf4-alt-dev for official builds. Closes: #540402
  * debian/control: Package complies with version 3.8.4 of Debian policy.
  * debian/control: Build-depend on automake, autoconf, and libtool to
    allow re-generating the configure script during build.
  * debian/control: Update build-dependencies and dependencies of the -dev
    package for current ImageMagick package names.
  * debian/control: Add debhelper substitution variable misc:Depends to
    all dependency lines to placate lintian.
  * debian/rules: Run autoreconf during package build to activate changes
    to configure.ac. Remove symlinks created by autoreconf when cleaning
    up.

 -- Daniel Kobras <kobras@debian.org>  Thu, 25 Mar 2010 19:59:17 +0100

dx (1:4.4.4-2) unstable; urgency=low

  * debian/control: Rename obsolete dependencies on x-dev and netcdfg-dev 
    to current x11proto-core-dev and libnetcdf-dev. Closes: #515342
  * debian/control: Add Homepage field. Closes: #467310
  * debian/README.source: Short explanation of dpatch usage in dx packaging.
  * debian/dx-doc.doc-base: Move section to Science/Data Analysis.
  * debian/compat, debian/control: Bump debhelper compatibility level from
    4 to 5.
  * debian/control: Package complies with version 3.8.1 of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Fri, 27 Mar 2009 16:38:05 +0100

dx (1:4.4.4-1) unstable; urgency=low

  * New upstream version. Closes: #412806
  * Added patches:
    + [10_gcc43_build_fix]
      First argument to main() must be signed int with gcc 4.3.
      Closes: #455385
    + [10_kfreebsd_build_fixes]
      Several macro tweaks to allow building with kfreebsd. Patch thanks to
      Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>. Closes: #413999

