=== debian/control ===
Source: dx
Section: science
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               dh-exec,
               dpkg-dev (>= 1.16.1~),
               ed,
               flex,
               libbz2-dev,
               libglu-dev,
               libhdf4-alt-dev | libhdf4-dev,
               libjpeg-dev,
               libmagickwand-dev,
               libmotif-dev,
               libnetcdf-dev,
               libpng-dev,
               libtiff-dev,
               libtool,
               libx11-dev,
               libxml2-dev,
               libxmu-dev,
               libxpm-dev,
               libxt-dev,
               m4,
               x11proto-core-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.4
Homepage: http://www.opendx.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dx.git
Vcs-Git: git://anonscm.debian.org/collab-maint/dx.git

Package: dx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dx-doc
Suggests: dxsamples
Description: OpenDX (IBM Visualization Data Explorer) - main package
 Data Explorer is a system of tools and user interfaces for visualizing data.
 In general terms the visualization of data can be considered a 3-stage
 process:
    1. Describing and importing data
    2. Processing the data through a visualization program
    3. Presenting the resulting image.
 This is the main package.

Package: libdx4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenDX (IBM Visualization Data Explorer) - shared libraries
 Data Explorer is a system of tools and user interfaces for visualizing data.
 In general terms the visualization of data can be considered a 3-stage
 process:
    1. Describing and importing data
    2. Processing the data through a visualization program
    3. Presenting the resulting image.
 This is the package containing the shared libraries. Programs that use
 routines from the OpenDX classes usually depend on it.

Package: libdx4-dev
Architecture: any
Section: libdevel
Breaks: dx-dev (<< 1:4.3.0)
Replaces: dx-dev (<= 1:4.3.2-1)
Provides: dx-dev
Depends: libdx4 (= ${binary:Version}), ${misc:Depends}
Suggests: libbz2-dev,
          libglu-dev,
          libhdf4-alt-dev | libhdf4-dev,
          libjpeg-dev,
          liblcms1-dev,
          libmagickwand-dev,
          libmotif-dev,
          libnetcdf-dev,
          libpng-dev,
          libtiff-dev,
          libwmf-dev,
          libx11-dev,
          libxml2-dev,
          libxmu-dev,
          libxpm-dev,
          libxt-dev,
          x11proto-core-dev,
          zlib1g-dev | libz-dev
Description: OpenDX (IBM Visualization Data Explorer) - development files
 Data Explorer is a system of tools and user interfaces for visualizing data.
 In general terms the visualization of data can be considered a 3-stage
 process:
    1. Describing and importing data
    2. Processing the data through a visualization program
    3. Presenting the resulting image.
 This is the development package. It contains the build rules, library
 routines and header files necessary for creating custom software that uses
 the OpenDX classes.

Package: dx-doc
Architecture: all
Section: doc
Depends: doc-base, ${misc:Depends}
Recommends: dxsamples
Description: OpenDX (IBM Visualization Data Explorer) - documentation
 Data Explorer is a system of tools and user interfaces for visualizing data.
 In general terms the visualization of data can be considered a 3-stage
 process:
    1. Describing and importing data
    2. Processing the data through a visualization program
    3. Presenting the resulting image.
 This is the documentation package. It includes online help and html
 documentation.
